org.apache.ivy.plugins.parser.m2

## Class PomModuleDescriptorBuilder

- java.lang.Object
- - org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder

    public class PomModuleDescriptorBuilder
    extends java.lang.Object

Build a module descriptor. This class handle the complexity of the structure of an ivy ModuleDescriptor and isolate the PomModuleDescriptorParser from it.

### Nested Class Summary

Nested Classes
`static class` `PomModuleDescriptorBuilder.PomDependencyDescriptor` `DependencyDescriptor` that provides access to the original `PomDependencyData`.
`static class` `PomModuleDescriptorBuilder.PomModuleDescriptor`

### Field Summary

Fields
`static Configuration[]` `MAVEN2_CONFIGURATIONS`

### Constructor Summary

Constructors
Constructor and Description
`PomModuleDescriptorBuilder(ModuleDescriptorParser parser, Resource res, ParserSettings ivySettings)`

### Method Summary

Methods
`void` `addDependency(DependencyDescriptor descriptor)`
`void` `addDependency(Resource res, PomReader.PomDependencyData dep)`
`void` `addDependencyMgt(PomDependencyMgt dep)`
`void` `addExtraInfos(java.util.List<ExtraInfoHolder> extraInfosHolder)`
`void` `addExtraInfos(java.util.Map extraAttributes)` Deprecated.
`void` `addJavadocArtifact()`
`void` `addMainArtifact(java.lang.String artifactId, java.lang.String packaging)`
`void` `addPlugin(PomDependencyMgt plugin)`
`void` `addProperty(java.lang.String propertyName, java.lang.String value)`
`void` `addSourceArtifact()`
`void` `addSrcArtifact()`
`static java.util.Map` `extractPomProperties(java.util.List<ExtraInfoHolder> extraInfos)`
`static java.util.Map` `extractPomProperties(java.util.Map extraInfo)` Deprecated.
`static java.util.Map` `getDependencyManagementMap(ModuleDescriptor md)`
`static java.util.List` `getDependencyManagements(ModuleDescriptor md)`
`Artifact` `getJavadocArtifact()`
`Artifact` `getMainArtifact()`
`ModuleDescriptor` `getModuleDescriptor()`
`static java.util.List` `getPlugins(ModuleDescriptor md)`
`Artifact` `getSourceArtifact()`
`Artifact` `getSrcArtifact()`
`void` `setDescription(java.lang.String description)`
`void` `setHomePage(java.lang.String homePage)`
`void` `setLicenses(License[] licenses)`
`void` `setModuleRevId(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAVEN2_CONFIGURATIONS

    public static final Configuration[] MAVEN2_CONFIGURATIONS

### Constructor Detail

#### PomModuleDescriptorBuilder

    public PomModuleDescriptorBuilder(ModuleDescriptorParser parser,
                              Resource res,
                              ParserSettings ivySettings)

### Method Detail

#### getModuleDescriptor

    public ModuleDescriptor getModuleDescriptor()

#### setModuleRevId

    public void setModuleRevId(java.lang.String groupId,
                      java.lang.String artifactId,
                      java.lang.String version)

#### setHomePage

    public void setHomePage(java.lang.String homePage)

#### setDescription

    public void setDescription(java.lang.String description)

#### setLicenses

    public void setLicenses(License[] licenses)

#### addMainArtifact

    public void addMainArtifact(java.lang.String artifactId,
                       java.lang.String packaging)

#### addDependency

    public void addDependency(Resource res,
                     PomReader.PomDependencyData dep)

#### addDependency

    public void addDependency(DependencyDescriptor descriptor)

#### addDependencyMgt

    public void addDependencyMgt(PomDependencyMgt dep)

#### addPlugin

    public void addPlugin(PomDependencyMgt plugin)

#### getPlugins

    public static java.util.List getPlugins(ModuleDescriptor md)

#### getDependencyManagementMap

    public static java.util.Map getDependencyManagementMap(ModuleDescriptor md)

#### getDependencyManagements

    public static java.util.List getDependencyManagements(ModuleDescriptor md)

#### addExtraInfos

    @Deprecated
    public void addExtraInfos(java.util.Map extraAttributes)

Deprecated.

#### addExtraInfos

    public void addExtraInfos(java.util.List<ExtraInfoHolder> extraInfosHolder)

#### extractPomProperties

    @Deprecated
    public static java.util.Map extractPomProperties(java.util.Map extraInfo)

Deprecated.

#### extractPomProperties

    public static java.util.Map extractPomProperties(java.util.List<ExtraInfoHolder> extraInfos)

#### addProperty

    public void addProperty(java.lang.String propertyName,
                   java.lang.String value)

#### getMainArtifact

    public Artifact getMainArtifact()

#### getSourceArtifact

    public Artifact getSourceArtifact()

#### getSrcArtifact

    public Artifact getSrcArtifact()

#### getJavadocArtifact

    public Artifact getJavadocArtifact()

#### addSourceArtifact

    public void addSourceArtifact()

#### addSrcArtifact

    public void addSrcArtifact()

#### addJavadocArtifact

    public void addJavadocArtifact()